SIGNALTEST(8)

NAME

signaltest - RT signal roundtrip test software

SYNTAX

signaltest [-b USEC] [-l loops] [-p PRIO] [-q|--quiet] [-t NUM] [-m|--mlockall] [-v|--verbose]

OPTIONS

-b, --breaktrace=USEC
    Send break trace command when latency > USEC. This is a debugging option to control the latency tracer in the realtime preemption patch. It is useful to track down unexpected large latencies on a system.

-l, --loops=LOOPS
    Set the number of loops. The default is 0 (endless). This option is useful for automated tests with a given number of test cycles. signaltest is stopped once the number of timer intervals has been reached.

-p, --prio=PRIO
    Set the priority of the process.

-q, --quiet
    Only print only the summary on exit.

-t, --threads=NUM
    Numer of threads to use (defaults=2).

-m, --mlockall
    Lock current and future memory allocations.

-v, --verbose
    Output values on stdout for statistics, with format: n:c:v n=tasknum c=count v=value in us

AUTHORS

signaltest was written by Thomas Gleixner <tglx@linutronix.de>.

This manual page was written by Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>, for the Debian project (and may be used by others).